com.hazelcast.config

## Class MemberAttributeConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.MemberAttributeConfig
  - - com.hazelcast.config.MemberAttributeConfigReadOnly

- Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class MemberAttributeConfigReadOnly
      extends MemberAttributeConfig

  Contains configuration for attribute of member (Read-Only).

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getAttributes()` Deprecated.
    `void` | `removeAttribute(String key)` Deprecated.
    `void` | `setAttributes(Map<String,Object> attributes)` Deprecated.
    `void` | `setBooleanAttribute(String key, boolean value)` Deprecated.
    `void` | `setByteAttribute(String key, byte value)` Deprecated.
    `void` | `setDoubleAttribute(String key, double value)` Deprecated.
    `void` | `setFloatAttribute(String key, float value)` Deprecated.
    `void` | `setIntAttribute(String key, int value)` Deprecated.
    `void` | `setLongAttribute(String key, long value)` Deprecated.
    `void` | `setShortAttribute(String key, short value)` Deprecated.
    `void` | `setStringAttribute(String key, String value)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.MemberAttributeConfig

      `asReadOnly, getBooleanAttribute, getByteAttribute, getDoubleAttribute, getFloatAttribute, getIntAttribute, getLongAttribute, getShortAttribute, getStringAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setStringAttribute

          public void setStringAttribute(String key,
                                         String value)

      Deprecated.
      Overrides:
        `setStringAttribute` in class `MemberAttributeConfig`

    - #### setBooleanAttribute

          public void setBooleanAttribute(String key,
                                          boolean value)

      Deprecated.
      Overrides:
        `setBooleanAttribute` in class `MemberAttributeConfig`

    - #### setByteAttribute

          public void setByteAttribute(String key,
                                       byte value)

      Deprecated.
      Overrides:
        `setByteAttribute` in class `MemberAttributeConfig`

    - #### setShortAttribute

          public void setShortAttribute(String key,
                                        short value)

      Deprecated.
      Overrides:
        `setShortAttribute` in class `MemberAttributeConfig`

    - #### setIntAttribute

          public void setIntAttribute(String key,
                                      int value)

      Deprecated.
      Overrides:
        `setIntAttribute` in class `MemberAttributeConfig`

    - #### setLongAttribute

          public void setLongAttribute(String key,
                                       long value)

      Deprecated.
      Overrides:
        `setLongAttribute` in class `MemberAttributeConfig`

    - #### setFloatAttribute

          public void setFloatAttribute(String key,
                                        float value)

      Deprecated.
      Overrides:
        `setFloatAttribute` in class `MemberAttributeConfig`

    - #### setDoubleAttribute

          public void setDoubleAttribute(String key,
                                         double value)

      Deprecated.
      Overrides:
        `setDoubleAttribute` in class `MemberAttributeConfig`

    - #### removeAttribute

          public void removeAttribute(String key)

      Deprecated.
      Overrides:
        `removeAttribute` in class `MemberAttributeConfig`

    - #### setAttributes

          public void setAttributes(Map<String,Object> attributes)

      Deprecated.
      Overrides:
        `setAttributes` in class `MemberAttributeConfig`

    - #### getAttributes

          public Map<String,Object> getAttributes()

      Deprecated.
      Overrides:
        `getAttributes` in class `MemberAttributeConfig`

Copyright © 2019. All rights reserved.